{
  "name": "{{ agave.appsPrefix }}-minimap2-gf",
  "version": "2.17-02",
  "label": "Minimap2 sequence aligner",
  "defaultNodeCount": 1,
  "defaultMemoryPerNode": 1,
  "defaultProcessorsPerNode": 1,
  "executionType": "HPC",
  "parallelism": "SERIAL",
  "checkpointable": false,
  "executionSystem": "{{ agave.executionSystem }}",
  "deploymentPath": "{{ agave.appsDir }}/minimap2-gf-2.17-02",
  "deploymentSystem": "{{ agave.deploymentSystem }}",
  "templatePath": "minimap2-gf.sh",
  "testPath": "test/test.sh",
  "inputs": [
    { "id": "input",
      "value": {
        "required": true,
        "default": ""
      }
    },
    { "id": "reference",
      "value": {
        "required": true,
        "default": ""
      }
    }
  ],
  "parameters": [
    { "id": "preset",
      "value": {
        "required": false,
        "default": "map-ont",
        "type": "string"
      }
    },
    { "id": "threads",
      "value": {
        "required": false,
        "default": 4,
        "type": "number"
      }
    },
    { "id": "output",
      "value": {
        "required": true,
        "type": "string"
      }
    },
    { "id": "exec_method",
      "value": {
        "required": true,
        "default": "auto",
        "type": "string"
      }
    }
  ]
}